> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# トランザクションStepエクスポートを作成

> Business Processing Reporting Warehouse からトランザクションStepデータを CSV 形式で非同期にエクスポートします。レスポンスには `requestId` が返されます。この ID を使用してエクスポートのステータスをポーリングし、エクスポートの完了後に結果ファイルをダウンロードします。ワークフロー全体および CSV 列のリファレンスについては、[Business Processing Reporting](/vantage/developer/reporting/business-reporting)を参照してください。



## OpenAPI

````yaml /ja/openapi-reporting.json post /api/reporting/v2/exports/transaction-steps
openapi: 3.0.4
info:
  description: >-
    Vantage Reporting API は、文書処理に関する過去のデータ分析を行うためのデータを提供します。Business Processing
    Reporting Warehouse（トランザクションレベルのStepデータ）および Analytics Reporting
    Warehouse（手動確認中に行われた文書およびfieldの変更）から CSV
    レポートをダウンロードできます。データレポートをダウンロードできるのは、テナント管理者または Processing Supervisor
    のロールを持つユーザーのみです。両方のウェアハウスの概要については、[レポートサービス](/vantage/developer/reporting/reporting-service)ガイドを参照してください。
  title: Abbyy.Vantage.Reporting.Service
  version: '2.0'
  x-application-version: 1.5.2
servers:
  - description: 本番（米国）
    url: https://vantage-us.abbyy.com
  - description: 本番（欧州）
    url: https://vantage-eu.abbyy.com
  - description: 本番（オーストラリア）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps:
    post:
      tags:
        - Report
      summary: トランザクションStepエクスポートを作成
      description: >-
        Business Processing Reporting Warehouse からトランザクションStepデータを CSV
        形式で非同期にエクスポートします。レスポンスには `requestId` が返されます。この ID
        を使用してエクスポートのステータスをポーリングし、エクスポートの完了後に結果ファイルをダウンロードします。ワークフロー全体および CSV
        列のリファレンスについては、[Business Processing
        Reporting](/vantage/developer/reporting/business-reporting)を参照してください。
      operationId: CreateTransactionStepsExportRequest
      requestBody:
        content:
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
          description: OK
components:
  schemas:
    CreateTransactionStepsCsvRequest:
      additionalProperties: false
      properties:
        filters:
          allOf:
            - $ref: '#/components/schemas/AsyncStepReportFilters'
          description: トランザクション ステップ フィルター
          nullable: true
        sendEmailNotification:
          description: リクエスト処理完了時に通知を送信できるようにします
          type: boolean
      type: object
    CreateReportRequestResponse:
      additionalProperties: false
      description: >-
        トランザクションStepエクスポートリクエストの作成後に返されるレスポンスです。エクスポートステータスのポーリングおよび結果ファイルのダウンロードに使用するリクエスト
        ID が含まれます。
      properties:
        requestId:
          description: レポート生成リクエストの一意の識別子。ステータスおよび結果エンドポイントに渡します。
          format: uuid
          type: string
      type: object
    AsyncStepReportFilters:
      additionalProperties: false
      properties:
        endDate:
          description: ステップ完了日時の最大値（空欄の場合は現在のUTC時刻）
          format: date-time
          type: string
        skillId:
          description: トランザクション Skill ID でフィルタリングします。Skill ID でフィルタリングしない場合は {NULL} を指定します
          nullable: true
          type: string
        startDate:
          description: トランザクション ステップの最短完了日
          format: date-time
          type: string
        transactionId:
          description: トランザクション ID でフィルターします。ID によるフィルターを適用しない場合は {NULL} を指定します
          nullable: true
          type: string
      required:
        - startDate
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-us.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-us.abbyy.com/auth2/connect/token
      type: oauth2

````